<!--Función a ejecutar al enviar el formulario -->
<form (ngSubmit)="onSubmit()" #projectForm="ngForm" *ngIf="project">
  <h2>{{project.name}} - {{project.year}}</h2>
  <div class="form-group">
    <label for="professorId">Professor</label>
    <!--Select que carga los opciones de el atributo profesores -->
    <select [(ngModel)]="project.professor.id" name="professorId" class="custom-select" required #professor="ngModel" >
        <option *ngFor="let professor of professors" [ngValue]="professor.id">
            {{professor.firstname}} {{professor.lastname}}
        </option>
    </select>
    <div [hidden]="professor.valid || professor.pristine" *ngIf="professor.errors"
     class="alert alert-danger">
       <div *ngIf="professor.errors.required">
         Professor is required.
        </div>
    </div>
  </div>
  <!--Boton de envío -->
  <button type="submit" class="btn btn-success" [disabled]="!projectForm.form.valid">Edit</button>
</form>
